@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,900;1,700&display=swap");

/* Variables */
:root {
  --font-family: "Roboto", sans-serf;
  --normal-font: 400;
  --bold-font: 700;
  --bolder-font: 900;
  --bg-color: #efefef;
  --primary-color: #4756df;
  --secondary-color: #ff7235;
  --primary-shadow: #8b8eaf;
  --secondary-shadow: #a17a69;
  --bottom-margin: 0.5rem;
  --bottom-margin-2: 1rem;
  --line-height: 1.7rem;
  --transition: 0.3s;
}
/* Variables end */

html {
  scroll-behavior: smooth;
}

/* Works on Firefox */
* {
  scrollbar-width: thin;
  scrollbar-color: var(--secondary-color) var(--primary-color);
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 12px;
}

*::-webkit-scrollbar-track {
  background: var(--primary-color);
}

*::-webkit-scrollbar-thumb {
  background-color: var(--secondary-color);
  border-radius: 10px;
  border: 3px solid var(--primary-color);
}

/* CSS Resets */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* outline: 1px solid red; */
}

ul {
  list-style-type: none;
}

a {
  text-decoration: none;
  color: var(--primary-color);
}

a:hover {
  color: var(--secondary-color);
}

body,
* {
  font-family: var(--font-family);
}

section {
  /* max-width: 1100px;
  margin: auto; */
}

/* CSS Resets end */

/* Navbar */
nav {
  position: sticky;
  top: 0;
  left: 0;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1.5rem 3.5rem;
  background-color: var(--primary-color);
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
}

nav #logo {
  color: white;
  font-size: 2rem;
  font-weight: bold;
}
nav #logo i {
  color: var(--secondary-color);
}
#logo:hover i {
  color: white;
}

nav ul a {
  color: white;
  transition: var(--transition);
}
nav a:hover,
#logo:hover {
  color: var(--secondary-color);
  border-bottom: 2px solid var(--secondary-color);
  cursor: pointer;
}

#logo:hover {
  margin-bottom: -2px;
}

nav ul {
  display: flex;
  gap: 1.9rem;
}

nav ul li {
  font-weight: var(--bold-font);
}

.burger-menu {
  color: var(--primary-color);
  font-size: 2rem;
  border: 0;
  background-color: transparent;
  cursor: pointer;
  display: none;
}
/* Navbar ends */

/* hamburger menu start  */

#icon {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 30px;
  width: 45px;
  cursor: pointer;
  z-index: 3;
  transform-origin: center;
  display: none;
}

.line {
  background: white;
  width: 100%;
  height: 7px;
  border-radius: 3px;
  box-shadow: 0 2px 10px 0 rgba(61, 61, 61, 0.8);
  position: relative;
  z-index: 2;
  transition: 0.3s ease;
}

.change #line1 {
  transform: translateY(12px) rotateZ(-43deg);
  box-shadow: none;
  background: var(--secondary-color);
}

.change #line3 {
  transform: translateY(-11px) rotate(39deg);
  box-shadow: none;
  background: var(--secondary-color);
}

.change #line2 {
  opacity: 0;
}

/* hamburger menu end  */

/* Hero section */
.hero {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5rem;
  /* max-width: 68.75rem; */
  margin: auto;
  padding: 5rem 0;
  background-image: url("wave.svg");
  background-position: bottom;
  background-repeat: no-repeat;
}

.hero img {
  margin-right: 5rem;
}

.title * {
  margin-top: 1rem;
  font-size: 4rem;
}

.title h2,
h2 {
  font-size: 2rem;
  font-style: italic;
  margin-bottom: 2rem;
  color: var(--secondary-color);
}
h2 {
  font-style: normal;
}

.title span {
  color: var(--secondary-color);
}
.title a i {
  font-size: 2rem;
}

.title h1 {
  margin-bottom: var(--bottom-margin);
}

.title .btn,
.title .btnSecondary {
  margin: 2rem;
  margin-left: 0;
  font-size: 1.5rem;
  padding: 0.7rem 1.3rem;
  border: 1px solid var(--primary-color);
  border-radius: 0.5rem;
  text-align: center;
  background-color: var(--primary-color);
  color: white;
  transition: var(--transition);
}

.title .btnSecondary {
  color: var(--primary-color);
  background-color: white;
}

.btnSecondary:hover {
  border: 1px solid var(--secondary-color);
  color: var(--secondary-color);
}

.btn:hover {
  background-color: transparent;
  color: var(--primary-color);
}

.title ul,
footer ul {
  display: flex;
  justify-content: flex-start;
  gap: 2rem;
}
footer ul {
  justify-content: flex-end;
}

svg * {
  position: relative;
}

/* Hero section ends */

/*  about */

.about {
  background-color: var(--bg-color);
  padding: 7.5rem 6rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-image: url("wave2.svg");
  background-position: bottom;
  background-repeat: no-repeat;
  margin-top: -1px;
}

.about2 {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5rem;
}

.about div {
  width: 50%;
  /* border: 2px solid #363636; */
  padding: 1rem 2rem;
  border-radius: 0.5rem;
  /* box-shadow: 0 3px 5px var(--primary-shadow); */
}

.about h2 {
  text-align: center;
}

.about img {
  border-radius: 50%;
  box-shadow: 0 3px 10px var(--primary-shadow);
}

/* .about img::after{
  content: '';
  background-image: url('blob.svg');
  position: absolute; 
  width: 110%;
  height: 110%;
  left:-50px;
  top:10px;
} */

.about p {
  line-height: var(--line-height);
  padding: 0.4rem;
  padding-left: 0;
}
/* More about ends */

@media (max-width: 1000px) {
  .about {
    padding: 7.5rem 1rem;
    gap: 1rem;
  }
}

@media (max-width: 800px) {
  .about2 {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    justify-content: center;
    gap: 5rem;
  }
  .about div {
    width: 80%;
  }
  .skills picture::before {
    display: none !important;
  }
}
/* Skills section */
.skills {
  margin: auto;
  text-align: center;
  padding: 5rem;
  background-color: var(--bg-color);
  background-image: url("wave2.svg");
  background-position: bottom;
  background-repeat: no-repeat;
  margin-top: -2px;
}

.skill-header {
  margin-bottom: 3rem;
}

.skills-wrapper img {
  padding: 1.25rem;
}

.icon {
  width: 11.875rem;
  height: 11.25rem;
}

.skills picture {
  position: relative;
}
.skills picture::before {
  font-family: var(--font-family);
  font-weight: bold;
  font-style: italic;
  position: absolute;
  width: 100%;
  height: 100%;
  /* background-color: red; */
  display: none;
  content: "";
  left: 0;
  bottom: 20px;
  z-index: 2;
}
#html::before {
  content: "HTML";
}
#css::before {
  content: "CSS";
}
#js::before {
  content: "JavaScript";
}
#git::before {
  content: "Git";
}
#react::before {
  content: "React";
}
#chart::before {
  content: "Chart.js";
}
#figma::before {
  content: "Figma";
}
#mongo::before {
  content: "MongoDB";
}
#node::before {
  content: "Node.js";
}
#tailwind::before {
  content: "Git";
}
#sql::before {
  content: "SQL";
}
#bootstrap::before {
  content: "Bootstrap";
}
.skills picture:hover::before {
  display: inline-block;
}

/* Skills section ends */

/* Projects section */
.projects {
  background-color: white;
  padding: 5rem 0;
  background-image: url("wave.svg");
  background-position: bottom;
  background-repeat: no-repeat;
  margin-top: -2px;
}

.projects h3 {
  font-size: 1.5rem;
}
.project-pic {
  /* width: 65%; */
  max-height: 240px;
  border-radius: 5px;
  margin: 1rem;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  transition: transform 0.2s;
}

.project-pic:hover {
  transform: scale(1.05);
}

.project-card {
  background-color: #fff;
  border-radius: 11px;
  box-shadow: 0 3px 5px var(--primary-shadow);
  padding: 3rem;
  margin: 10px;
  margin-top: 0;
  display: flex;
  gap: 3rem;
  width: 55rem;
}

.projects-container {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 3rem;
}

.projects-title {
  text-align: center;
  margin-bottom: 1rem;
}

.project-container {
  text-align: center;
  padding: 1rem;
}

.project-container h3 {
  text-decoration: underline;
  text-decoration-color: var(--secondary-color);
}

.project-container p {
  padding: 0.4rem;
  margin-bottom: 1rem;
  line-height: 1.5;
}

.project-title {
  margin-bottom: var(--bottom-margin);
}

.project-details {
  margin-bottom: var(--bottom-margin);
}

.project-link {
  margin: 1rem;
  padding: 0.7rem 1.3rem;
  border: 1px solid var(--primary-color);
  border-radius: 0.5rem;
  text-align: center;
  background-color: var(--primary-color);
  color: white;
  transition: var(--transition);
}

.project-link-two {
  color: var(--primary-color);
  background-color: white;
  margin-left: 1rem;
}
.project-link:hover {
  background-color: transparent;
  color: var(--primary-color);
}

.project-link-two:hover {
  border: 1px solid var(--secondary-color);
  color: var(--secondary-color);
}

.project-card span {
  display: inline-block;
  margin-top: 1.5rem;
  font-style: italic;
  opacity: 0.8;
}

.project-card div * {
  margin-bottom: 1rem;
}
@media (max-width: 928px) {
  .project-link {
    margin: 0;
  }

  .project-card {
    padding: 1rem;
    margin: 10px;
    gap: 0;
  }
  .contact .form-left-side p {
    width: 80%;
  }
}

@media (max-width: 813px) {
  .project-card {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
}

/* Projects section ends */

/* Contacts section */
.contact {
  margin-top: 2rem;
  display: flex;
  flex-direction: column;
  gap: 2rem;
  background-image: url("wave.svg");
  background-position: bottom;
  background-repeat: no-repeat;
  padding-bottom: 5rem;
}
.contact-leftright {
  display: flex;
  justify-content: center;
  gap: 2rem;
}

.contact h2 {
  text-align: center;
  margin-bottom: var(--bottom-margin-2);
}

input::placeholder {
  font-family: var(--font-family);
}

.contact-form-container .input-field {
  width: 80%;
  padding-top: 10px;
  padding-bottom: 10px;
  border-radius: 5px;
  border: 1px solid var(--primary-color);
  font-size: 1.25rem;
  outline: none;
  padding: 0.5rem 1rem;
  margin-bottom: 0.75rem;
}

.submit-btn {
  width: 40%;
  padding: 0.625rem;
  margin: 0.625rem 0;
  background-color: var(--primary-color);
  color: white;
  border: 2px solid var(--primary-color);
  border-radius: 5px;
  font-size: 1rem;
  font-weight: var(--bold-font);
  transition: var(--transition);
}

.submit-btn:hover {
  background-color: transparent;
  color: var(--primary-color);
  cursor: pointer;
}

.contact .form-left-side {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
}

.form-left-side h4 {
  font-size: 2rem;
  font-weight: 600;
  margin-bottom: 1.5rem;
}
.form-left-side p {
  font-size: 1rem;
  width: 60%;
}
textarea {
  resize: none;
}

@media (max-width: 1000px) {
  .submit-btn {
    width: 60%;
  }
}

/* Contacts section ends */

/* Footer section */
footer {
  background-color: var(--bg-color);
  padding: 1.25rem;
  text-align: center;
  margin-top: -1px;
}

footer {
  display: flex;
  justify-content: space-between;
  padding: 1rem 5rem;
}

footer ul li {
  font-size: 1.5rem;
}

@media (max-width: 500px) {
  footer {
    padding: 1rem 1rem;
  }
  .contact-form-container .input-field {
    width: 100%;
  }
}

/* Footer section ends */

/* General (utilities) */
.icon-card {
  background-color: #fff;
  border-radius: 11px;
  box-shadow: 0 3px 10px var(--secondary-shadow);
  padding: 20px;
  margin: 10px;
  position: relative;
}

/* Media queries for responsiveness */
@media screen and (max-width: 720px) {
  nav {
    padding: 1.5rem 1rem;
  }

  nav ul {
    position: fixed;
    background-color: var(--primary-color);
    flex-direction: column;
    top: 86px;
    left: 0;
    width: 100%;
    text-align: center;
    transform: translateY(-130%);
    transition: transform 0.5s ease-in;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
  }

  nav ul li {
    margin: 8px;
  }
  nav ul li:last-child {
    padding-bottom: 1rem;
  }

  #icon {
    display: flex;
  }

  nav ul.show {
    transform: translateX(0);
  }

  .hero {
    flex-direction: column;
    gap: 0;
  }

  .about div {
    width: 80%;
  }

  /* .hero img {
    height: 20rem;
    margin-top: 4rem;
  } */

  .title * {
    text-align: center;
  }

  .about {
    padding: 1rem 0.1rem;
  }

  .about h2 {
    text-align: center;
  }

  .about p {
    text-align: justify;
  }

  .skills picture {
    width: 5.875rem;
    height: 5.25rem;
  }

  .projects-container {
    flex-direction: column;
  }

  .project-pic {
    width: 80%;
    height: 80%;
  }

  .project-container {
    width: 25.875rem;
  }

  .contact-leftright {
    flex-direction: column;
  }

  .contact-form-container {
    padding: 0 10%;
  }
  .submit-btn {
    width: 60%;
  }
}
@media (max-width: 490px) {
  .title * {
    font-size: 3rem;
  }
  .about picture {
    display: flex;
    justify-content: center;
    padding-bottom: 3rem;
  }
  .about img {
    width: 80%;
  }

  .title h3 {
    font-size: 1.5rem;
    font-style: italic;
    margin-bottom: 2rem;
  }
  .title .btn,
  .title .btnSecondary {
    margin: 1rem;
  }

  .title ul {
    justify-content: center;
  }
}
@media screen and (max-width: 420px) {
  .project-container {
    width: 17.875rem;
  }

  .project-card img {
    width: 95%;
  }
  .submit-btn {
    width: 100%;
  }
}
@media screen and (max-width: 350px) {
  .title .btn,
  .title .btnSecondary {
    margin: 0.5rem;
  }
}
